INDELHISTORY(1)

NAME
indelHistory - Obtain an "indel history" for an alignment and write it to a file

DESCRIPTION
Obtain an "indel history" for an alignment and write it to a file describing insertions and deletions in all species using a compact format. The specified alignment may either contain sequences corresponding only to leaves of the specified tree, in which case an indel history will be inferred using a simple parsimony algorithm, or it may contain sequences for all nodes in the tree, in which case the indel history will simply be extracted from the file.

OPTIONS

--msa-format, -i FASTA|MAF|SS|....

    Read alignment in specified file format (default FASTA).

--output-alignment, -A

    Instead of a summary of indels only, output an alignment in FASTA format of sequences for all ancestral and leaf nodes.

--read-history, -H <fname> Read an indel history directly from the specified file. Useful for debugging. The alignment and tree arguments are not required;

    however in an alignment is given with --read-history and --output-alignment, then actual bases can be output for leaf species.

--ia-names, -I

    Assume ancestral sequences in alignment.fa are named according to the convention used by Mathieu Blanchette's inferAncestors program, e.g., "RAT+MOUSE+RABBIT+" for the last common ancestor of "rat", "mouse", and "rabbit".

--help, -h

    Display this help message.